# Generated by Django 4.0.2 on 2023-06-02 06:08

import common.service
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('showrooms', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Criterion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, unique=True)),
                ('slug', models.SlugField(unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Selection',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('grid_img', models.ImageField(blank=True, help_text='Required size: 564х640', null=True, upload_to=common.service.get_path_image, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['png']), common.service.ImageDimensionsValidator('grid')])),
                ('recommend_img', models.ImageField(blank=True, help_text='Required size: 376х450', null=True, upload_to=common.service.get_path_image, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['png']), common.service.ImageDimensionsValidator('recommend')])),
                ('detail_img', models.ImageField(help_text='Required size: 816х760', upload_to=common.service.get_path_image, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['png']), common.service.ImageDimensionsValidator('selection_detail')])),
                ('header_img', models.ImageField(help_text='Required size: 480х458', upload_to=common.service.get_path_image, validators=[django.core.validators.FileExtensionValidator(allowed_extensions=['png']), common.service.ImageDimensionsValidator('header')])),
                ('name', models.CharField(help_text='Selection name in Russian', max_length=200)),
                ('title', models.CharField(help_text='Title for SEO', max_length=200)),
                ('alt', models.CharField(help_text='Alt for detail_img, header_img', max_length=200)),
                ('slug', models.SlugField(unique=True)),
                ('description', models.TextField(max_length=800)),
                ('time_published', models.DateTimeField()),
                ('is_draft', models.BooleanField(default=True)),
                ('to_main_page', models.BooleanField(default=False)),
                ('criteria', models.ManyToManyField(to='selections.Criterion')),
                ('items', models.ManyToManyField(blank=True, related_name='item_selections', to='showrooms.Item')),
                ('showrooms', models.ManyToManyField(blank=True, related_name='showroom_selections', to='showrooms.Showroom')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
